Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.strsyl

scipy.linalg.lapack.strsyl(a, b, c[, trana, tranb, isgn, overwrite_c]) = <fortran function strsyl>

  Wrapper for `strsyl`.

  Parameters:
    a input rank-2 array(‘f’) with bounds (m,m)
    b input rank-2 array(‘f’) with bounds (n,n)
    c input rank-2 array(‘f’) with bounds (m,n)
  Returns:
    x rank-2 array(‘f’) with bounds (m,n) and c storage
    scale float
    info int
  Other Parameters:
    trana input bytes, optional

      Default: ‘N’

    tranb input bytes, optional

      Default: ‘N’

    isgn input int, optional

      Default: 1

    overwrite_c input int, optional

      Default: 0